Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffPlan

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlan

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class TariffPlan
    extends IdTitle
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.List<java.lang.Integer>` | `filterContractLabel` |
  `protected int` | `filterFace` |
  `protected java.lang.String` | `filterMask` |
  `protected boolean` | `used` |
  `protected boolean` | `useTitleInWeb` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TariffPlan()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `Preferences` | `getConfigPreferences()` |
  `java.util.List<java.lang.Integer>` | `getFilterContractLabelIds()` |
  `int` | `getFilterFace()` |
  `java.lang.String` | `getFilterMask()` |
  `java.lang.String` | `getTitleWeb()` |
  `boolean` | `isUsed()` |
  `boolean` | `isUseTitleInWeb()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setFilterContractLabelIds​(java.util.List<java.lang.Integer> filterContractLabel)` |
  `void` | `setFilterFace​(int filterFace)` |
  `void` | `setFilterMask​(java.lang.String filterMask)` |
  `void` | `setTitleWeb​(java.lang.String titleWeb)` |
  `void` | `setUsed​(boolean used)` |
  `void` | `setUseTitleInWeb​(boolean useTitleInWeb)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### used

    protected boolean used

  - ### useTitleInWeb

    protected boolean useTitleInWeb

  - ### filterContractLabel

    protected java.util.List<java.lang.Integer> filterContractLabel

  - ### filterFace

    protected int filterFace

  - ### filterMask

    protected java.lang.String filterMask

- ## Constructor Details

  - ### TariffPlan

    public TariffPlan()

- ## Method Details

  - ### isUsed

    public boolean isUsed()

  - ### setUsed

    public void setUsed​(boolean used)

  - ### getFilterContractLabelIds

    public java.util.List<java.lang.Integer> getFilterContractLabelIds()

  - ### setFilterContractLabelIds

    public void setFilterContractLabelIds​(java.util.List<java.lang.Integer> filterContractLabel)

  - ### getFilterFace

    public int getFilterFace()

  - ### setFilterFace

    public void setFilterFace​(int filterFace)

  - ### getFilterMask

    public java.lang.String getFilterMask()

  - ### setFilterMask

    public void setFilterMask​(java.lang.String filterMask)

  - ### getTitleWeb

    public java.lang.String getTitleWeb()

  - ### setTitleWeb

    public void setTitleWeb​(java.lang.String titleWeb)

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setUseTitleInWeb

    public void setUseTitleInWeb​(boolean useTitleInWeb)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getConfigPreferences

    public Preferences getConfigPreferences()

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)